## net.sf.saxon.sort
Class CollationFactory

    java.lang.Object
      |
      +--net.sf.saxon.sort.CollationFactory

public class CollationFactory
extends java.lang.Object

CollationFactory allows a Collation to be created given a set of parameters, or a URI containing those parameters.

Constructor Summary
`CollationFactory()`

Method Summary
`static java.util.Comparator` `makeCollationFromURI(java.lang.String uri)` Create a collator from a parameterized URI
`static java.util.Comparator` `makeComparator(java.lang.String className)` Load a named collator class and check it is OK.
`static java.text.Collator` `makeUsingProperties(java.lang.String langAtt, java.lang.String strengthAtt, java.lang.String decompositionAtt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollationFactory

    public CollationFactory()

Method Detail

### makeUsingProperties

    public static java.text.Collator makeUsingProperties(java.lang.String langAtt,
                                                         java.lang.String strengthAtt,
                                                         java.lang.String decompositionAtt)

### makeComparator

    public static java.util.Comparator makeComparator(java.lang.String className)
                                               throws XPathException

  Load a named collator class and check it is OK.

    `XPathException`

### makeCollationFromURI

    public static java.util.Comparator makeCollationFromURI(java.lang.String uri)
                                                     throws XPathException

  Create a collator from a parameterized URI

  Returns:
    null if the collation URI is not suitable
    `XPathException`